Issue1247

classification
Title: modjy is not included on the installer
Type: Severity: normal
Components: Installer Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, fwierzbicki, leosoto, otmarhumbel
Priority: Keywords:

Created on 2009-01-25.23:50:11 by leosoto, last changed 2009-03-07.16:50:06 by leosoto.

Messages
msg4077 (view) Author: Leonardo Soto (leosoto) Date: 2009-01-25.23:50:10
After installing Jython with the installer, looks like modjy is not
included on the distribution:

~/jython2.5b1$ find . -name "modjy*"
~/jython2.5b1$

I wonder what's going to be the strategy to include modjy on the
official distribution, i.e, with the installer. Will it be jarjar'ed
into jython.jar or distributed along with it? What about the stand-alone
installation? 

Knowing that, I can make WAR deployment of django-jython projects work
with official releases (by now it only works with svn checkouts)
msg4079 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-01-26.02:48:07
My hope is that we can actually put the *.py files directly into the
distribution (so actually under Lib/modjy).  As for the templates (like
the web.xml), I'm less sure about that, though that could be included in
django-jython since they will be fairly project specific, I think.
msg4093 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-01-28.09:22:39
jython_installer-2.5b1.jar does contain the modjy .zip file in /extlibs.
The installation itself simply skips it so far.
Please let me know if the installer should process it in some way.
msg4096 (view) Author: Alan Kennedy (amak) Date: 2009-01-28.13:19:59
As Oti pointed out, modjy is included in the distribution; I don't know
what you mean by "not included in the installer".

Either way, it will all change soon, once I have completed work on the
"modjy integration branch", when all of the modjy code will be a part of
core jython, and will no special considerations, in terms of the
installer at least.

https://jython.svn.sourceforge.net/svnroot/jython/branches/modjy

Still, I will leave this bug open until work on the modjy integration
branch is complete.
msg4097 (view) Author: Leonardo Soto (leosoto) Date: 2009-01-28.13:29:59
OK, here was the problem: I didn't had the extlibs/ directory, because
it is only "installed" if the user selects the complete installation
(including sources). I thought that modjy's zip should be copied in the
standard installation.

[But now that we know that the modjy branch will fix this problem in a
better way, I suspect this issue would be a wontfix]
msg4101 (view) Author: Alan Kennedy (amak) Date: 2009-01-28.16:33:22
Frank,

I was thinking of putting a demo modjy/wsgi application in the "Demo"
subdirectory of the distribution. An example web.xml would then go in there.

Obviously, specific projects such as django-jython could also publish
their own web.xml files.
msg4103 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-01-28.19:03:32
Alan: A demo app would be great!
msg4182 (view) Author: Alan Kennedy (amak) Date: 2009-03-07.16:22:32
Modjy is now fully integrated into trunk, as r6075; many thanks to Frank
 for doing the merge work.
msg4185 (view) Author: Leonardo Soto (leosoto) Date: 2009-03-07.16:50:06
Alan, Frank:

Kudos to both of you for this great work!
History
Date User Action Args
2009-03-07 16:50:06leosotosetmessages: + msg4185
2009-03-07 16:22:33amaksetstatus: open -> closed
resolution: fixed
messages: + msg4182
2009-01-28 19:03:32fwierzbickisetmessages: + msg4103
2009-01-28 16:33:22amaksetmessages: + msg4101
2009-01-28 13:29:59leosotosetmessages: + msg4097
2009-01-28 13:19:59amaksetassignee: amak
messages: + msg4096
2009-01-28 09:22:39otmarhumbelsetnosy: + otmarhumbel
messages: + msg4093
2009-01-26 02:48:07fwierzbickisetnosy: + fwierzbicki
messages: + msg4079
2009-01-25 23:50:11leosotocreate